pdns (3.4.1-4) unstable; urgency=medium

  * Remove DROP INDEX domainmetaidindex from MySQL schema upgrade files.
    The Debian schema files since at least wheezy didn't have that index,
    so we can't drop it. It'd be nicer if we could say DROP INDEX IF EXISTS,
    but apparently there's no such thing in MySQL.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #773345)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 23 Dec 2014 12:29:35 +0100

pdns (3.4.1-3) unstable; urgency=medium

  * Fix PACKAGEVERSION not having the actual version.
    Due to #766559 in dpkg, PACKAGEVERSION ended up not containing the
    version part. Fixed by using the alternate syntax that
    dpkg-parsechangelog understands since 1.17.0, thereby avoiding
    a dependency bump to dpkg 1.17.21. (Closes: #769701)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 15 Nov 2014 18:24:42 +0100

pdns (3.4.1-2) unstable; urgency=medium

  * Bump dpkg-dev dependency for dpkg-parsechangelog -S, which
    is used to pass the package version to the build process.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 03 Nov 2014 18:57:24 +0100

pdns (3.4.1-1) unstable; urgency=medium

  * Imported Upstream version 3.4.1, a bug fix release, that:
    * Fixes slaving of DNSSEC-signed zones to NSD or BIND.
    * Fixes pdnssec increase-serial to not break SOA records
      in DNSSEC zones.
    * Adds security status polling. (We set the package vendor
      and version for this.)
  * Remove patch 0001-API-Replace-HTTP-Basic-auth-with-static-key-in-custom,
    which has been applied upstream.
  * Resync pdns.conf with upstream
  * Update debian/watch file, as upstream has changed to bz2 files.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 01 Nov 2014 23:08:08 +0100

pdns (3.4.0-2) unstable; urgency=medium

  * Apply patch from upstream switching API auth to a static key.
  * Install upstream-supplied SQL schema files (Closes: #763555)
  * Remove bindbackend.conf on purge (Closes: #678929)
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 15 Oct 2014 08:34:22 +0200

pdns (3.4.0-1) unstable; urgency=medium

  * New upstream release, send to unstable.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 30 Sep 2014 11:55:46 +0200

pdns (3.4.0~rc1+2014082902-1) experimental; urgency=medium

  * Fix typo in init script, causing stop to not work
  * Add a smoke test as an autopkgtest
  * Install systemd unit file for pdns
  * Imported Upstream version 3.4.0~rc1+2014082902

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 31 Aug 2014 07:33:48 +0200

pdns (3.4.0~rc1+20140829-1) experimental; urgency=medium

  * Imported Upstream version 3.4.0~rc1+20140829

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 29 Aug 2014 21:26:13 +0200

pdns (3.4.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate, target experimental
    * Update schema files for 3.4.0
    * Add lmdb, mydns, remote backends
    * Remove upstream applied patch to honor PKGLIBDIR
  * Build tests in verbose mode
  * Explicitly build with bind backend
  * Stop installing lib*backend.a
  * Update Vcs-* URLs to anonscm.debian.org
  * Force usage of libpolarssl.so
  * Skip make test: the remotebackend tests require various Ruby
    libraries that we don't have.
  * Update debian/copyright, the AES files are no longer distributed

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 01 Aug 2014 17:21:38 +0200

pdns (3.3.1-4) unstable; urgency=medium

  * Drop unused pdns-backend-mongodb.prerm file
  * Update schema migration files for 3.3.1.
    In the case of MySQL, this includes the migration up from 3.0!

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 24 Jun 2014 14:50:17 +0200

pdns (3.3.1-3) unstable; urgency=medium

  * Correct libdir/pkglibdir usage.
    PowerDNS upstream abuses autoconf libdir as the package-specific
    library location, when they should be using pkglibdir instead, which
    prevented us from correctly setting the multiarch libdir.
    As the package name is set to 'pdns', modules now go into
    ${libdir}/pdns, and libdir is now correctly set to the multiarch path,
    so modules-dir now ends up being (ex.) /usr/lib/x86_64-linux-gnu/pdns.
    Also fixes embedding the multiarch path as an rpath.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 Jun 2014 21:37:34 +0200

pdns (3.3.1-2) unstable; urgency=medium

  * Use pg_config to detect PostgreSQL lib dir (Closes: #750062)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 Jun 2014 15:34:02 +0200

pdns (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove GRANTs from SQL Schema scripts.
    The SQL install scripts from upstream used to contain GRANT statements,
    but these were never needed with dbconfig-common, as the objects are
    created as the runtime user, plus they can lead to installation
    failures.
  * Remove patch "remove-rpath-ldflags-patch"
    The original issue has been fixed upstream in a better way.
  * Remove upstream applied patches
  * Remove duplicate B-D: libpolarssl-dev
  * Update copyright file, based on work by Marc Haber (Closes: #726401)
  * Don't overwrite launch= statements in configuration
  * Resync default pdns.conf

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 14 Apr 2014 20:50:10 +0200

pdns (3.3-2) unstable; urgency=medium

  * Fix 3.3-1 SQL upgrade script for PostgreSQL.
    Thanks to Peter van Dijk for the patch. (Closes: #726945)
  * Fix FTBFS on s390x.
    Thanks to Peter van Dijk for the upstream patches. (Closes: #726863)
  * Add myself to Uploaders
  * Bump Standards-Version to 3.9.5 (no changes)
  * Run make with V=1.
    Needed to get compiler flags into the build log.
  * Revert "disable dnssec in default configuration to not break updates"
    Reverting to not break upgrades from wheezy.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 26 Jan 2014 23:41:14 +0100

pdns (3.3-1) unstable; urgency=low

  * The "Habbie saves the World" release

  [ Matthijs Möhlmann ]

  * Standards-Version: 3.9.4 (no changes needed)
  * Move files used by dbconfig-common to /usr/share/PACKAGE (Closes: #710360)
  * Upstream fixes self notification (Closes: #374779)
  * Added Brazilian Portuguese translation, thanks to Adriano Rafael Gomes
    (Closes: #718713)
  * All other nameservers are optional in insserv, so make that happen for
    pdns too. (Closes: #714145)
  * Update the default schema for the PostgreSQL backend (Closes: #698911)
  * Reworked README fixes also #717356 (Closes: #717356)
  * Add a SQL script for updating the database scheme in PostgreSQL, this will
    be applied automatically by dbconfig-common if chosen to do so
    (Closes: #685808, #707761)

  [ Marc Haber ]
  * be more robust with chmod in pdns-server.postinst.
    Thanks to Peter van Dijk (Closes: #716859)
  * fix exit code of init script to be more LSB compliant. (Closes: #708861)
  * remove unnecessary MySQL dependency (Upstream #1032). Adapt patches.
    (Closes: #725073)
  * remove double code from postinst.
    Thanks to Peter van Dijk (Closes: #725195)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sat, 13 Jul 2013 14:30:30 +0000

pdns (3.3-1~exp1) experimental; urgency=low

  * New Upstream Release
    * Fix for Upstream #555 (patch 2720) to build with botan. This
      might address #675410, thanks to Florian Obser and Marcus
      'darix' Rueckert.
    * fix ECDSA (upstream patch 3036). (Closes: #697904)
    * sqlite backend removed upstream. Suggest migration to sqlite3
    * remove --disable-recursor, it's a no-op anyway
    * build with --enable-tools and --enable-unit-tests
    * remove local manpages that have been incorporated upstream
    * remove lazy-recursion from default config
    * refresh patches, remove obsolete patches
  * disable dnssec in default configuration to not break updates
  * upstream now has include-dir
    * Use it instead of include
    * remove our patch for include
    * rename config files to .conf
  * remove --with autotools-dev (see dh-autoreconf(7))
  * zap dnslabeltext.cc in clean (see Upstream #554)
  * ship dnsreplay, dnswasher and dnsscope
  * add PDNSDEBUG environment variable to all postinst scripts
  * properly handle pdns.simplebind.conf on installation and purge
  * re-work conffile handling in postinst and postrm scripts
  * document changes in configuration syntax/semantics for updaters
  * depend on lsb-base (>= 3.2-14)
  * do not call in /lib/init/vars.sh any more (lintian)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 12 Jul 2013 20:11:25 +0000

pdns (3.1-4) unstable; urgency=low

  * put /etc/default/pdns back under ucf control.
    Thanks to Andreas Beckmann (Closes: 678930)
  * remove bindbackend.conf in postrm from correct path.
    Thanks to Andreas Beckmann (Closes: 678929)
  * make defaults file readable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 24 Jun 2012 20:40:27 +0200

pdns (3.1-3) unstable; urgency=low

  * Upload with correct .orig.tar.gz

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 23 Jun 2012 23:33:50 +0200

pdns (3.1-2) unstable; urgency=low

  * move development to Alioth (Maint address, Vcs-Foo)
  * remove bind-example-zones.
    Thanks to Andreas Olsson (Closes: 676823)
  * init script:
    * adapt logic changes from upstream
    * LSBize init script from debian's skeleton
    * use automatic init script installation
  * add upstream changesets (recommended by upstream):
    2608, 2609+2612, 2611, 2622
  * add DEP-3 headers to patches
  * disable mongodb patch, we're not building mongodb anyway
  * remove autostart debconf question, templates and code
  * relax privileges on pdns.d directory
  * add a simple bind backend config so that we can run immediately
  * remove hurd-ftbfs-patch, it was already applied upstream (r2307)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 14 May 2012 21:14:38 +0200

pdns (3.1-1) unstable; urgency=low

  [ Marc Haber ]
  * Imported Upstream version 3.1
    * reduce column size for 'algorithm' to 50. Closes: #662935
    * handle smallcaps RRs. Closes: #656788
  * refresh patches
  * remove unused patches
  * add patch to turn off the traceback handler at run time
  * add patch for changeset 2575 (race condition with supermasters)
  * fix mysql multiarch build failure, set cflags etc to hardening defaults
  * do not run bootstrap a build time, using autotools_dev
  * use dh-autoreconf, remove autofoo created files from
    patches/fix-mongodb-backend-patch
  * fix dh invocation
  * create MySQL databases with engine=innodb instead of type
  * set debian/compat to 9
  * Standards-Version: 3.9.3 (no changes needed)
  * add myself to uploaders, change Vcs-Header to my git. Closes: #672550

  [ Evgeni Golov ]
  * use system libpolarssl if present, local copy otherwise.
    Closes: #671856, #656861

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 11 May 2012 23:51:27 +0200

pdns (3.0-1.2) unstable; urgency=high

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667321.
  * Fix build failure with mysql multiarch location. Closes: #650058.
  * Build with hardening defaults. Closes: #656861.

 -- Matthias Klose <doko@debian.org>  Wed, 09 May 2012 23:14:47 +0000

pdns (3.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't respond to responses fixes CVE-2012-0206
  * Make build dependency on mongodb-dev arch specific (Closes: #654568).

 -- Luk Claes <luk@debian.org>  Sun, 15 Jan 2012 19:13:17 +0100

pdns (3.0-1) unstable; urgency=low

  * New upstream version (Closes: #624330, #626909, #617476, #498918, #500572)
    (Closes: #645539, #623036, #521791, #583161, #590285, #499396)
  * Update Standards-Version to 3.9.2
  * Add lua backend.
  * Use new style dh instead of individual dh_* commands.
  * Add Homepage to debian/control (Closes: #634947)
  * Add pdnssec and dnsreplay utility.
  * Use dbconfig-common to populate / upgrade databases.
  * Update patch addconfigdir, do not parse ucf-dist files.
  * Update manpage pdns_control and include a list of options (Closes: #621724)
  * Add manpage for pdnssec.
  * Add prerm scripts to the backends, stop the pdns server.
  * Add patch from upstream to properly parse priority. (Closes: #533023)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sat, 19 Nov 2011 11:58:10 +0100

pdns (2.9.22-9) unstable; urgency=low

  * My name is now spelled correctly with the ö instead of o.
  * Reupload to fix a unresolved symbol (Closes: #623036)
  * Add debug package for pdns-server (Closes: #594242)
  * Fix the lintian overrides.

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sun, 17 Apr 2011 13:02:43 +0200

pdns (2.9.22-8) unstable; urgency=high

  * Update init.d scripts and remove mysql and postgresql from the
    dependencies. The loop between mysql and pdns causes apt to fail hence
    the urgency high. (Closes: #595018)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 24 Sep 2010 16:24:04 +0200

pdns (2.9.22-7) unstable; urgency=low

  * Provide the file now in the correct location. (Closes: #585966)
  * Update Standards-Version to 3.9.1
  * Add new dnsdomain2.schema for LDAP (Closes: #589606)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Tue, 03 Aug 2010 18:25:28 +0200

pdns (2.9.22-6) unstable; urgency=high

  * Provide the virtual facility $named. (Closes: #585966)
  * Added danish translation thanks to Joe Dalton (Closes: #585572)
  * For now add a 2 second delay before continue with the boot process to
    ensure pdns is listening on a socket.
  * Update Standards-Version to 3.9.0

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 18 Jul 2010 14:48:27 +0200

pdns (2.9.22-5) unstable; urgency=low

  * Fix FTBFS on hurd
  * Should-Start / Should-Stop added for slapd, mysql and postgresql
    Thanks to Petter Reinholdtsen (Closes: #580819)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 23 May 2010 13:18:25 +0200

pdns (2.9.22-4) unstable; urgency=low

  * Add db_stop to fix an upgrade (Closes: #555311)
  * Fix error in postinst of sqlite and sqlite3 (Closes: #565516)
  * Updated Standards-Version to 3.8.4
  * Make lintian happy
  * Complete the pdns_control manpage (Closes: #556473)
  * Switch to dpkg-source 3.0 (quilt) format
  * Removing Christoph Haas from uploaders, thank you for the great work.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 09 Apr 2010 17:23:24 +0200

pdns (2.9.22-3) unstable; urgency=low

  * Fix a syntax error in postinst.
  * Removed old upgrade code for splitting the config.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 08 Nov 2009 14:48:57 +0100

pdns (2.9.22-2) unstable; urgency=low

  [ Christoph Haas ]
  * Fixed init.d script (Closes: #518294)
  * Moved resolvconf temp file to /var/run/powerdns (Closes: #333726)

  [ Matthijs Mohlmann ]
  * Updated Standards-Version to 3.8.3
  * Added russian translation (Closes: #539465)
  * Added spanish translation (Closes: #508987)
  * Added SQLite3 database schema to examples
  * Added PostgreSQL database schema to examples
  * Change libmysqlclient15-dev to libmysqlclient-dev.
  * Moved from dpatch to quilt patch system.
  * Fix FTBFS with gcc 4.4 (Closes: #510674)
  * Added italian translation (Closes: #552219, #548695)
  * Added basque translation (Closes: #553150)
  * Fixed init.d script including correct dependencies and runlevels
    (Closes: #548293)
  * Added finnish translation (Closes: #553648)
  * Implemented triggers to prevent multiple restarts (Closes: #502981)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 02 Nov 2009 12:49:43 +0100

pdns (2.9.22-1) unstable; urgency=low

  * New upstream version (closes: #513409).

 -- Christoph Haas <haas@debian.org>  Wed, 25 Feb 2009 23:25:51 +0100

pdns (2.9.21.2-2) unstable; urgency=low

  * Added japanese PO file (closes: #510705)

 -- Christoph Haas <haas@debian.org>  Mon, 05 Jan 2009 23:38:05 +0100

pdns (2.9.21.2-1) unstable; urgency=low

  * New Upstream Version
  * Included typo fixes from Thijs Kinkhorst (closes: #502982)
  * Removed the splitconfig call from debian/pdns-server.postinst as it
    broke configurations with multiline definitions. It should not be
    needed anymore anyway after an update from Sarge to Etch.
    (closes: #475141)
  * Added patch for LDAP requests spanning subdomains due to incorrect
    LDAP search query (closes: #500137).

 -- Christoph Haas <haas@debian.org>  Tue, 25 Nov 2008 20:11:46 +0100

pdns (2.9.21.1.0-1) unstable; urgency=low

  * Fixed glitch in upstream tarball for 2.9.2.21.1.
    Actually this is the same upstream version as 2.9.21.1 but due to a
    merging glitch when using git-buildpackage two files were changed.
    So the orig.tar.gz for 2.9.21.1 in Debian is not entirely correct
    (although it doesn't hurt either). To replace the wrong orig.tar.gz
    it needs a higher version number. 2.9.21.1.0-1 it newer than 2.9.21.1-1.

 -- Christoph Haas <haas@debian.org>  Fri, 08 Aug 2008 15:38:55 +0200

pdns (2.9.21.1-1) unstable; urgency=high

  * New Upstream Version (fixes CVE-2008-3337)

 -- Christoph Haas <haas@debian.org>  Thu, 07 Aug 2008 00:25:01 +0200

pdns (2.9.21-6) unstable; urgency=low

  * Use upstream patch for the ldapbackend. (See #462966)
  * Fix pdns-server hang in postinst (Closes: #468160)
  * Fix typo in the Description of pdns-backend-mysql to make lintian happy.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 02 Mar 2008 22:50:11 +0100

pdns (2.9.21-5) unstable; urgency=low

  * Fix ignoring buid errors. (Closes: #462858)
  * Patch from Steve to fix build with OpenLDAP 2.4. (Closes: #462966)
    - Changed patch a bit to convert host, port and tls option to a ldapuri.
  * Update Standards-Version to 3.7.3.
  * Added gcc 4.3 fixes (Closes: #456073)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 03 Feb 2008 20:57:51 +0100

pdns (2.9.21-4) unstable; urgency=low

  * New portuguese translation included (closes: #444219).
    Thanks, Américo Monteiro.

 -- Christoph Haas <haas@debian.org>  Wed, 03 Oct 2007 19:38:15 +0200

pdns (2.9.21-3) unstable; urgency=low

  * Added missing dependency on docbook, missing dtd files. (Closes: #441592)
  * Make package binNMUable.
  * Fixed lintian error on in the clean target.
  * Clean target was incomplete, twice in a row build didn't reproduce the
    same result (Policy 4.9) (Closes: #441592)
  * Win2k3 SP2 adds out of zone data to zonetransfers, ignore them instead of
    rejecting the zone. (Closes: #433892)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sat, 15 Sep 2007 09:24:06 +0200

pdns (2.9.21-2) unstable; urgency=low

  * Fix an unconditional replace in the resolvconf script. (Closes: #425441)
  * Do not include the 127.0.0.1 in the recursor list. (Closes: #425442)
  * Updated vietnamese translation

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sat, 02 Jun 2007 00:13:47 +0200

pdns (2.9.21-1) unstable; urgency=low

  [ Matthijs Mohlmann ]
  * New upstream release. (Closes: #420294)
  * Remove meta pdns package.
  * Added new sqlite3 backend package.
  * Months and minutes where mixed up. (Closes: #406462)
  * Case sensitivity in bind backend caused PowerDNS to not serve a certain
    zone. (Closes: #406461)
  * Bind backend forgot about zones on a notify. (Closes: #398213)

  [ Christoph Haas ]
  * Documented incorporated backend bind. (Closes: #415471)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 15 Apr 2007 23:23:39 +0200

pdns (2.9.20-8) unstable; urgency=high

  [ Christoph Haas ]
  * Updated czech translation (Closes: #408726)
  * New galician translation (Closes: #413756)
  * Added patch for potential buffer overflow, high urgency (Closes: #406465)
  * Added example for the bind backend. Documented that the bind gbackend
    is contained in the pdns-server package (Closes: #415471)

  [ Matthijs Mohlmann ]
  * LDAP backend changes
    - Supports SOA autocalculation
    - Handles dc=* correctly

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sat, 10 Mar 2007 01:20:58 +0100

pdns (2.9.20-7) unstable; urgency=low

  [ Matthijs Mohlmann ]
  * Updated configuration parameter allow-axfr-ips. (Closes: #316789)
  * Fix memory corruption after performing a zone reload (Closes: #394682)
  * Fix wrong ttl for SOA records during AXFR.
  * Added patch from upstream to fix ipv6 processing. (Closes: #395885, #396250)
  * Added patch to fix alignment on ARM. (Closes: #397031)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 30 Oct 2006 00:46:22 +0100

pdns (2.9.20-6) unstable; urgency=low

  * Don't try to remove the user on purge.
  * Typo in package description of pdns-backend-sqlite. (Closes: #384387)
  * Create LSB init script.
  * Added check to see if ucf exist. The postrm can't rely on ucf to be
    available on purge. It is a non-essential package. (Closes: #389979)
  * Added patch to fix wildcard lookups in the ldap backend. (Closes: #383726)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Sun,  1 Oct 2006 15:29:45 +0200

pdns (2.9.20-5) unstable; urgency=low

  * Update geobackend. (Closes: #382538)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 13 Aug 2006 23:17:25 +0200

pdns (2.9.20-4) unstable; urgency=low

  * Updated German translation.
  * Remove patch for the recursor, the pdns-recursor is not shipped with this
    package anymore
  * Updated Dutch translation.
  * Updated Swedish translation.
  * Updated French translation. (Closes: #367217)
  * Fix wrong permissions on /var/lib/powerdns in sqlite backend.
    (Closes: #373627)
  * Default pdns.conf overhaul, taken configuration parameters from the
    website http://rtfm.powerdns.com/ (Closes: #369306)
  * Removed --remove-home from deluser, it requires an extra dependency.
    (Closes: #340124)
  * Added a note regarding pgsql and chroot (Closes: #382017)
    Actual solutions for running pdns in a chroot when trying to connect
    to a pgsql server via SSL are welcome.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Wed, 12 Jul 2006 00:29:14 +0200

pdns (2.9.20-3) unstable; urgency=low

  * Disable the recursor, this is in a separate package now.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Sat,  6 May 2006 10:40:44 +0200

pdns (2.9.20-2) unstable; urgency=low

  * Fix bug which causes pdns not resolving the root nameservers anymore
    (Closes: #364449)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Tue, 25 Apr 2006 21:27:26 +0200

pdns (2.9.20-1) unstable; urgency=low

  * New upstream release.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Thu, 16 Mar 2006 21:09:38 +0100

pdns (2.9.19-4) unstable; urgency=low

  * Fix pdns maintainer scripts to restart in postinst (instead of stopping
    in prerm and starting in postinst) (Closes: #346426)
  * Rewrote patch addconfigdir to C++ and to fix some memleaks.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Wed, 18 Jan 2006 22:59:52 +0100

pdns (2.9.19-3) unstable; urgency=low

  * Added a patch to fix NS delegation (Closes: #345778)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Tue,  3 Jan 2006 23:18:17 +0100

pdns (2.9.19-2) unstable; urgency=high

  * Added portuguese translation (Closes: #337832)
  * Added a patch to fix a slight security bug
  * Added a patch to allow '/' in domain names (Closes: #343737)
  * Updated patch addconfigdir to be able to move launch= to include files.
    (Patch is now more generic)
  * Updated builddependency to libmysqlclient15-dev (Closes: #343789)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Sun, 18 Dec 2005 11:39:41 +0100

pdns (2.9.19-1) unstable; urgency=low

  * New upstream release (Closes: #327846)
  * Now really fix the AXFR transfers from bind / djbdns to pdns.
    (Closes: #330184)
  * New bind backend (Closes: #318897)
  * Update translation for Czech (Closes: #335355)
  * Add translation for Swedish (Closes: #335261)
  * Added patch to fix a memory hole in the pdns-recursor
  * Added patch to proper catch an exception in the pdns-recursor
  * Added patch to fix an exception that could escape

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Tue,  1 Nov 2005 15:22:39 +0100

pdns (2.9.18-4) unstable; urgency=low

  * Fix AXFR transfers from bind to pdns. (Closes: #330184)
  * Added resolvconf calls to pdns-recursor init script. (Closes: #308677)
  * Added pdns update script in order to automate the creation of the
    recursors list. (Closes: #304528)
  * Leave permissions on upgrades (Closes: #328833)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Sat,  1 Oct 2005 15:11:33 +0200

pdns (2.9.18-3) unstable; urgency=high

  * High urgency as it fixes RC bugs.
  * Add patch to support uri's in the ldapbackend.
  * Add fix for crashes in the pdns-recursor with g++ 4.0.1
  * Revert postinst scripts for geo, ldap, mysql, pgsql and pipe backend and
    don't introduce bug #321974
  * Add patch to fix CNAME wildcards. It returned the CNAME wildcard while an
    A record exists for the query. Taken from svn.
  * Fix pdns-server.config with exit status 20, bug in the parsing code of the
    configuration file /etc/powerdns/pdns.conf (Closes: #311903)
  * Fix the addconfigdir dpatch to be able to include files instead of only
    directories (Closes: #327172)
  * Remove postrm scripts as it can cause trouble when the include is set to
    nothing. (Closes: #326260)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Thu, 15 Sep 2005 09:21:28 +0200

pdns (2.9.18-2) unstable; urgency=low

  * Added cs translation. (Closes: #321737)
  * comma separated instead of semicolon separated in pdns-server.templates
    (Closes: #318845)
  * Updated po debconf files.
  * Removed code that mess up the pdns.conf. (Closes: #321974)
  * pdns should be an arch independent package. It comes from the split to
    pdns-server and pdns-recursor.
  * Tidied up the dh_install parts of the debian/rules script.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Mon, 15 Aug 2005 12:01:41 +0200

pdns (2.9.18-1) unstable; urgency=high

  * New upstream release (Closes: #318798)
  * Drop patches: 64bit-compile-fix.dpatch, addfeatures-ldapbackend.dpatch,
    amd64-compilefix.dpatch, blankout-domain-fix.dpatch,
    consistent-sql.dpatch, dosfix-ldapbackend.dpatch, fix-exit-status.dpatch,
    gpgsql-compilefix.dpatch, gsqlite-compilefix.dpatch, gsqlite-slave.dpatch,
    recursor-slowdown.patch.dpatch, typoinitscript.dpatch, zone2ldap.dpatch
    They are applied upstream.
  * The ldapbackend did not properly escape all queries, allowing it to fail
    and not answer questions. (CAN-2005-2301)
  * Questions from clients denied recursion could blank out answers to clients
    who are allowed recursion services, temporarily. (CAN-2005-2302)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Fri, 29 Jul 2005 20:24:33 +0200

pdns (2.9.17-15) unstable; urgency=high

  * New revision because last upload has accidentally been a native package.
    A higher revision number should fix the wrong upload.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Sat, 16 Jul 2005 13:04:14 +0200

pdns (2.9.17-14) unstable; urgency=high

  * Changed Build-Depends from postgresql-dev to libpq-dev
  * Build-Depends was missing the non-essential automake1.6
  * Added libssl-dev to Build-Depends
  * configure arguments updated to point to postgresql includes
  * Patch added for: Denial of Service in the ldapbackend. When you do a query
    with a '\' or a '*' the ldap instance will crash.
  * Patch added for: Recursor became slow after 60 seconds.
  * Added translation vi.po (Closes: #316704)
  * Fixed typo in german debconf file de.po (Closes: #313930)
  * Updated Standards-Version to 3.6.2

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Fri, 15 Jul 2005 00:16:17 +0200

pdns (2.9.17-13) unstable; urgency=high

  * Fixed serious policy violation. (Closes: #310782, #310742)
  * Updated dutch debconf translation.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Thu, 26 May 2005 23:10:54 +0200

pdns (2.9.17-12) unstable; urgency=low

  * Removed resolvconf from pdns initscript.
  * Updated french debconf translation. (Closes: #305869)
  * Updated pdns-recursor so it doesn't fail on restart.
  * Patch to fix exit status. (Closes: #305527)
  * Fixes a typo in pdns-backend-mysql.postrm which causes a failure when
    removing the package. (Closes: #308410)
  * Added a Pre-Depends on adduser (Closes: #308409)
  * Fixed a failure when installing pdns-server on a fresh system.
  * Fixed a failure when removing pdns-server when perl-modules isn't
    installed.
  * Added dutch translation.

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Tue, 10 May 2005 16:15:59 +0200

pdns (2.9.17-11) unstable; urgency=low

  * Fixed the empty /usr/share/pdns/doc directory. (Closes: #304939)
  * Removed superfluous upstream documentation from the doc directory.
  * Rewritten pdns-recursor initscript. (Closes: #304937, #303602, #303602)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Thu, 21 Apr 2005 22:38:47 +0200

pdns (2.9.17-10) unstable; urgency=low

  * Maintainer changed to Debian PowerDNS Maintainers.
  * Christoph Haas <haas@debian.org>:
    + changelog.html is no longer compressed to keep hypertext links in the
      pdns-doc package working
    + fixed a typo in the debconf templates (netmasks -> subnets)
  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Fixed the ldap backend patch (Closes: #303910)
    + Fixed the patch for adding a directory with config files (Closes: #303669)
      - Now you can add multiple files.
      - Can add files with dots.
    + Added dnsdomain2.schema to pdns-backend-ldap. (Closes: #303685)
    + Updates resolv.conf when needed. (Closes: #303602)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Thu, 14 Apr 2005 21:42:16 +0200

pdns (2.9.17-9) unstable; urgency=low

  * Moved html docs to pdns-doc instead of pdns (Closes: #303227)
  * Added french translation (Closes: #302681)
  * Improved description for pdns-backend-geo (Closes: #302128)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Tue,  5 Apr 2005 21:32:14 +0200

pdns (2.9.17-8) unstable; urgency=low

  * Minor naming stupidity in example files resolved.
  * Thanks to Christoph Haas for checking and uploading.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri,  1 Apr 2005 22:02:56 +0200

pdns (2.9.17-7) unstable; urgency=low

  * Removed more questions on several backends.
  * Use one pdns.local file instead of using more files.
  * Updated postinst and postrm to reflect these changes.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri,  1 Apr 2005 17:05:29 +0200

pdns (2.9.17-6) unstable; urgency=low

  * Raised Standards-Version to 3.6.1.1
  * Fixed a FTBFS on 64bit platforms (Closes: #301642)
    Thanks to Kurt Roeckx <kurt@roeckx.be> for testing the patch.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Thu, 31 Mar 2005 10:00:37 +0200

pdns (2.9.17-5) unstable; urgency=low

  * Removed stupid questions
  * Updated templates
  * Added README.Debian to pdns-server
  * Fixed a typo (Closes: #300053)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 28 Mar 2005 10:47:40 +0200

pdns (2.9.17-4) unstable; urgency=low

  * Make gmysql and gpgsql backend more consistent by adding port parameter to
    gpgsql backend.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 27 Feb 2005 23:10:36 +0100

pdns (2.9.17-3) unstable; urgency=low

  * Removed manpage xdb-fill
  * Removed package pdns-backend-xdb (obsolete)
  * Cleaned up debian/ directory
  * Written an initscript for pdns-recursor (Closes: #296628)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 14 Feb 2005 20:17:24 +0100

pdns (2.9.17-2) unstable; urgency=low

  * Written manpage for xdb-fill
  * Rewritten debian/rules for better understanding

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 14 Feb 2005 11:23:11 +0100

pdns (2.9.17-1) unstable; urgency=low

  * Update Standards-Version to 3.6.1
  * Change to debhelper programs
  * Added geobackend (Closes: #243958)
  * Added recursor.conf (Closes: #252286)
  * Start the recursor before slapd (Closes: #281330)
  * Fix a typo in init script (Closes: #267672)
  * The pdns recursor is now in a seperate package
  * Added zone2ldap patch to be LDAPv3 compliant
  * Added query logging
  * support for AXFR in non-hierarchical trees
  * reenabled AXFR for normal zones in strict mode
  * fix for wildcard lookups in tree mode
  * fix for thrown exception if multiple associatedDomain are available
  * changed wrong default method (simple or tree)
  * fix in PowerLDAP if dn is necessary
  * Took the tarball from the powerdns website and added seperate patches
  * Added postinstall scripts to configure packages
  * Added postremove scripts
  * Make it lintian clean
  * Manpages written for binaries
  * Added patch letting work pdns as slave and superslave with sqlite backend
    (Closes: #280359)
  * Added schema as text file in pdns-backend-{mysql,pgsql} (Closes: #248315)
  * starttls is added by upstream (Closes: #193474)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Thu, 3 Feb 2005 15:49:40 +0000

pdns (2.9.16-6) unstable; urgency=high

  * Backport DoS fix from 2.9.17 release, CVSTrac ticket #21
    http://ds9a.nl/cgi-bin/cvstrac/pdns/tktview?tn=21,4
    (CAN-2005-0428 DoS in PowerDNS)
  * FTBFS: F_OK undeclared fixed (Closes: #286675)
  * FTBFS on amd64/gcc-4.0 fixed (Closes: #287913)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Thu, 20 Jan 2005 14:13:58 +0100

pdns (2.9.16-5) unstable; urgency=low

  * New maintainer upload (Closes: #282200)
  * pdns installs uncompressed manpages (Closes: #264221)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 21 Nov 2004 14:24:35 +0100

pdns (2.9.16-4) unstable; urgency=high

  * Apply patches from current CVS:
    - checkin 267: make another FD non-blocking. Should really fix
      Debian bug 241321 & ticket 13 (pdns_recursor hangs).

 -- Wichert Akkerman <wichert@wiggy.net>  Sun, 07 Nov 2004 13:49:06 +0100

pdns (2.9.16-3) unstable; urgency=high

  * Apply patches from current CVS:
    - properly dup2 fd 0, 1 and 2. Closes: Bug#241321
    - make recursor sockets non-blocking, should fix hanging pdns_recursor
  * Include pdns_recursor init script

 -- Wichert Akkerman <wichert@wiggy.net>  Mon, 01 Nov 2004 12:03:40 +0100

pdns (2.9.16-2) unstable; urgency=medium

  * Remove stray libpq++ linkage for gpgsqlbackend. Closes: Bug#236941

 -- Wichert Akkerman <wichert@wiggy.net>  Fri, 14 May 2004 14:04:34 +0200

pdns (2.9.16-1) unstable; urgency=low

  * New upstream version

 -- Wichert Akkerman <wichert@wiggy.net>  Sun, 07 Mar 2004 22:22:03 +0100

pdns (2.9.15-2) unstable; urgency=medium

  * Update missing file with current version from libtool
  * Remove hardcoded libpq++ link in postrges backend 
  * Remove libpq++ mentions in sgml documentation

 -- Wichert Akkerman <wichert@wiggy.net>  Sun, 18 Jan 2004 14:06:29 +0100

pdns (2.9.15-1) unstable; urgency=medium

  * New upstream version

 -- Wichert Akkerman <wichert@wiggy.net>  Sun, 18 Jan 2004 11:28:39 +0100

pdns (2.9.14-1) unstable; urgency=medium

  * New upstream version. Postgres support rewritten to use the C interface
    instead of the deprectaed libpqpp

 -- Wichert Akkerman <wichert@wiggy.net>  Fri, 16 Jan 2004 23:23:33 +0100

pdns (2.9.13-3) unstable; urgency=medium

  * Fix pdns postinst so pdns is properly restart on upgrade

 -- Wichert Akkerman <wichert@wiggy.net>  Sat, 10 Jan 2004 17:21:18 +0100

pdns (2.9.13-2) unstable; urgency=critical

  * Fix a bug in calculation of early timestamps: 1<<31-1 is not the
    same as (1<<31)-1. This made all pdns servers consume all possible
    CPU when UNIX time went through 2^30 two hours ago.

 -- Wichert Akkerman <wichert@wiggy.net>  Sat, 10 Jan 2004 16:53:09 +0100

pdns (2.9.13-1) unstable; urgency=low

  * New upstream release
  * Stop using my debian.org email address
  * Change init scripts to conform to Debian policy 

 -- Wichert Akkerman <wichert@wiggy.net>  Thu, 25 Dec 2003 13:33:40 +0100

pdns (2.9.12-1) unstable; urgency=low

  * New upstream release
  * Fix dependency generation. Closes: Bug#210256
  * Check if pdns is installed in init script. Closes: Bug#217402
  * Create a SQLite backend package
  * Add versioned dpkg-dev Build-Depends so ${dpkg:Version} works properly

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 27 Oct 2003 18:52:53 +0100

pdns (2.9.11-2) unstable; urgency=low

  * Remove automake build-depends and bootstrap rule from debian/rules.
    This makes pdns a bit more portable across Debian releases.
    Closes: Bug#205990
  * Try to remove the /etc/powerdns directory on purge. Closes: Bug#209051
  * Use libmysqlclient-dev instead of libmysqlclient10-dev

 -- Wichert Akkerman <wakkerma@debian.org>  Tue,  9 Sep 2003 14:59:46 +0200

pdns (2.9.11-1) unstable; urgency=low

  * New upstream release
  * Do not include zone2ldap in pdns package. Closes: Bug#198613
  * The gdbm-dev seems to have changed its name, update Build-Depends
    accordingly. Closes: Bug#199595

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 14 Jul 2003 13:52:47 +0200

pdns (2.9.8-1) unstable; urgency=low

  * New upstream release. Closes: Bug#187781

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  5 May 2003 13:43:16 +0200

pdns (2.9.7-1) unstable; urgency=low

  * New upstream release. Closes: Bug#185730

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 21 Mar 2003 12:53:00 +0100

pdns (2.9.6-2) unstable; urgency=low

  * Enable the recursing nameserver
  * Change order of things in clean target so debian/files is properly
    removed. Closes: Bug#181994

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 23 Feb 2003 12:34:57 +0100

pdns (2.9.6-1) unstable; urgency=low

  * New upstream release, adding a new LDAP backend

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 16 Feb 2003 14:49:08 +0100


pdns (2.9.5-1) unstable; urgency=low

  * fill in the blanks

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  3 Feb 2003 20:16:16 +0100

pdns (2.9.4-1) unstable; urgency=low

  * fill in the blanks

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 21 Dec 2002 20:16:16 +0100

pdns (2.9.3a-1) unstable; urgency=low

  * New upstream release; fixes a problem in zone2sql

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 21 Dec 2002 20:16:16 +0100

pdns (2.9.3-1) unstable; urgency=low

  * New upstream release. Yes, the packaging changes yet again to
    reflect changes made upstream. The packaging of SQL backends should
    be more sane now and we don't expect to change them again.

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 21 Dec 2002 18:18:40 +0100

pdns (2.9.2-3) unstable; urgency=low

  * Compile pgmysql and xdb backend with -fPIC. Real fix is to swithc
    to using libtool for all backends, which will happen in the next
    upstream release.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 16 Dec 2002 13:43:52 +0100

pdns (2.9.2-2) unstable; urgency=low

  * Add Build-Depends on libgdbmg1-dev, which is needed by the pipe backend
 
 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 16 Dec 2002 11:18:11 +0100

pdns (2.9.2-1) unstable; urgency=low

  * New upstream release
  * bind backend fully merged in the main pdns package now
  * Add new pipe, pgmysql and xdb backends

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 13 Dec 2002 16:39:29 +0100

pdns (2.9-1) unstable; urgency=low

  * Initial packaging

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  1 Dec 2002 15:04:52 +0100

